Bug 846083 - Crash when installing freeipa on rawhide
Crash when installing freeipa on rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: 389-ds-base (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 15:02 EDT by Martin Kosek
Modified: 2012-08-14 02:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.11.9-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-14 02:48:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GDB stacktrace log (166.78 KB, text/plain)
2012-08-06 15:03 EDT, Martin Kosek
no flags Details

  None (edit)
Description Martin Kosek 2012-08-06 15:02:13 EDT
Description of problem:

When configuring freeipa on Fedora 18 (rawhide), I hit an 389-ds crash when the IPA setup was in DNS configuration phase:

# ipa-server-install
...
  [12/14]: configuring SELinux for httpd
  [13/14]: restarting httpd
  [14/14]: configuring httpd to start on boot
done configuring httpd.
Applying LDAP updates
Restarting the directory server
Restarting the KDC
Configuring named:
  [1/9]: adding DNS container
ipa         : CRITICAL Failed to load dns.ldif: Command '/usr/bin/ldapmodify -v -f /tmp/tmpbg8jsB -H ldap://master-1.example.com:389 -x -D cn=Directory Manager -y /tmp/tmp_vnRdC' returned non-zero exit status 255
  [2/9]: setting up our zone
Unexpected error - see /var/log/ipaserver-install.log for details:
DatabaseError: Can't contact LDAP server: 

/var/log/messages:
Aug  6 20:47:56 master-1 kernel: [ 6470.337468] ns-slapd[5838]: segfault at 82 ip 00007f6c2c2fd12b sp 00007f6c02fe87b0 error 4 in libslapd.so.0.0.0[7f6c2c27b000+f5000]


# gdb /usr/sbin/ns-slapd /var/log/dirsrv/slapd-EXAMPLE-COM/core.5809 
...
Core was generated by `/usr/sbin/ns-slapd -D /etc/dirsrv/slapd-EXAMPLE-COM -i /var/run/dirsrv/slapd-EX'.
Program terminated with signal 11, Segmentation fault.
#0  pack_mods (modsp=modsp@entry=0x130e2f0)
    at ldap/servers/slapd/modutil.c:499
499				if (LDAP_MOD_IGNORE == (mods[i]->mod_op & ~LDAP_MOD_BVALUES))


Version-Release number of selected component (if applicable):
freeipa-server-3.0.0-0.3.fc18.x86_64
389-ds-base-1.2.11.8-1.fc18.x86_64

How reproducible:


Steps to Reproduce:
1. Try to configure FreeIPA with ipa-server-install
2.
3.
  
Actual results:
DS crashes during.ipa-server-install

Expected results:
DS does not crash

Additional info:
I will attach log from gdb from coredump analysis.
This bug may not be easily reproducible until Bug 846076 and Bug 846077 are fixed.
Comment 1 Martin Kosek 2012-08-06 15:03:22 EDT
Created attachment 602561 [details]
GDB stacktrace log
Comment 2 Nathan Kinder 2012-08-06 15:34:56 EDT
This has been narrowed down to an issue introduced by the fix for https://fedorahosted.org/389/ticket/407 in 389-ds-base-1.2.11.8.  We are working on addressing this and releasing a 389-ds-base-1.2.11.9 build.
Comment 3 Martin Kosek 2012-08-07 07:12:10 EDT
(In reply to comment #2)
> This has been narrowed down to an issue introduced by the fix for
> https://fedorahosted.org/389/ticket/407 in 389-ds-base-1.2.11.8.  We are
> working on addressing this and releasing a 389-ds-base-1.2.11.9 build.

I can confirm, that previous version (389-ds-base-1.2.11.7-2.fc18.2.x86_64) does not crash in this use-case.
Comment 4 mreynolds 2012-08-07 13:03:50 EDT
389-ds-base-1.2.11.9 has been built, and should address the crash in the dna plugin.
Comment 5 Nathan Kinder 2012-08-13 11:39:31 EDT
Martin - Has the 1.2.11.9 solved your crashing issue?  If so, I would like to close this bug.
Comment 6 Martin Kosek 2012-08-14 02:48:50 EDT
(In reply to comment #5)
> Martin - Has the 1.2.11.9 solved your crashing issue?  If so, I would like
> to close this bug.

It did, I did not experience more crashes during my testing, thanks for fixing the issue.

Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.